Page MenuHomePhabricator

Fatal exception of type "BadMethodCallException" on Special:ConstraintReport
Closed, ResolvedPublic

Description

Sometimes, a BadMethodCallException arises on Special:ConstraintReport, and sometimes doesn't, even for the same entity. The example below corresponds to Q42.

[WvDWHApAIDAAAEhNrKYAAAAQ] 2018-05-07 22:41:50: Fatal exception of type "BadMethodCallException"

More information from logstash:

Call to a member function getMessageKey() on a non-object (null)

/srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/Helper/LoggingHelper.php:107

#0 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/DelegatingConstraintChecker.php(595): WikibaseQuality\ConstraintReport\ConstraintCheck\Helper\LoggingHelper->logConstraintCheck(WikibaseQuality\ConstraintReport\ConstraintCheck\Context\MainSnakContext, WikibaseQuality\ConstraintReport\Constraint, WikibaseQuality\ConstraintReport\ConstraintCheck\Result\CheckResult, string, double, string)
#1 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/DelegatingConstraintChecker.php(447): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->getCheckResultFor(WikibaseQuality\ConstraintReport\ConstraintCheck\Context\MainSnakContext, WikibaseQuality\ConstraintReport\Constraint)
#2 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/DelegatingConstraintChecker.php(362): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkConstraintsForMainSnak(Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Statement\Statement, NULL, NULL)
#3 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/DelegatingConstraintChecker.php(334): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkStatement(Wikibase\DataModel\Entity\Item, Wikibase\DataModel\Statement\Statement, NULL, NULL)
#4 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/DelegatingConstraintChecker.php(154): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkEveryStatement(Wikibase\DataModel\Entity\Item, NULL, NULL)
#5 /srv/mediawiki/php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/Specials/SpecialConstraintReport.php(266): WikibaseQuality\ConstraintReport\ConstraintCheck\DelegatingConstraintChecker->checkAgainstConstraintsOnEntityId(Wikibase\DataModel\Entity\ItemId)
#6 /srv/mediawiki/php-1.32.0-wmf.2/includes/specialpage/SpecialPage.php(522): WikibaseQuality\ConstraintReport\Specials\SpecialConstraintReport->execute(string)
#7 /srv/mediawiki/php-1.32.0-wmf.2/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(string)
#8 /srv/mediawiki/php-1.32.0-wmf.2/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.32.0-wmf.2/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.32.0-wmf.2/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.32.0-wmf.2/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Event Timeline

abian created this task.May 8 2018, 9:57 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 8 2018, 9:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 431725 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Don’t try to access null message’s message key

https://gerrit.wikimedia.org/r/431725

This turns out to be a relatively simple fix, so I’ve taken the liberty of just adding it to the Wikidata-Ministry-Of-Magic board directly.

Change 431725 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Don’t try to access null message’s message key

https://gerrit.wikimedia.org/r/431725

Lucas_Werkmeister_WMDE closed this task as Resolved.May 8 2018, 11:14 AM
Lucas_Werkmeister_WMDE claimed this task.

Should be fixed now and deployed tomorrow night.

Change 431805 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.2] Don’t try to access null message’s message key

https://gerrit.wikimedia.org/r/431805

Change 431805 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.2] Don’t try to access null message’s message key

https://gerrit.wikimedia.org/r/431805

Mentioned in SAL (#wikimedia-operations) [2018-05-08T23:58:26Z] <thcipriani@tin> Synchronized php-1.32.0-wmf.2/extensions/WikibaseQualityConstraints/src/ConstraintCheck/Helper/LoggingHelper.php: SWAT: [[gerrit:431805|Do not try to access null message message key]] T194140 (duration: 01m 32s)

No more messages in logstash since SWAT yesterday \o/ thanks again @thcipriani!

Vvjjkkii renamed this task from Fatal exception of type "BadMethodCallException" on Special:ConstraintReport to jedaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lucas_Werkmeister_WMDE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from jedaaaaaaa to Fatal exception of type "BadMethodCallException" on Special:ConstraintReport.Jul 1 2018, 3:41 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM